function DrawArrow(x, y, color, size)
    arguments
        x
        y
        color
        size = 1
    end

    aPos = get(gca, 'Position');
    figX = x * aPos(3) + aPos(1);
    figY = y * aPos(4) + aPos(2);

    annotation('arrow', figX, figY, 'Color', color, 'HeadLength', size * 5, 'HeadWidth', size * 5, 'LineWidth', size);
end